package findyourfate.com.porutham;

import com.google.firebase.database.DatabaseReference;
import com.google.firebase.database.FirebaseDatabase;
 
import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.graphics.Typeface;
import android.net.Uri;
import android.os.Bundle; 
import android.widget.Button;
import android.widget.ImageView;  
import android.widget.TextView;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;

public class index extends Activity {  
	ImageView image; 
	
    TextView tamil;
 
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.home);
		// Initialize Firebase
		FirebaseDatabase database = FirebaseDatabase.getInstance();
		DatabaseReference ref = database.getReference("Description");
		ref.setValue("Description");

		tamil=(TextView)findViewById(R.id.tamil);
		Typeface fontface = Typeface.createFromAsset(getAssets(),
                "fonts/Bamini.ttf");
		tamil.setTypeface(fontface, Typeface.BOLD);
		tamil.setText("தமிழ்");
		
		 	Button button4 = (Button) findViewById(R.id.button4);
			button4.setOnClickListener(new View.OnClickListener() { 
            public void onClick(View arg0) {            
                Intent nextScreen = new Intent(getApplicationContext(), single.class);
                startActivity(nextScreen); 
            }
           });
			
			
			Button link = (Button) findViewById(R.id.link);  
				link.setOnClickListener(new View.OnClickListener() { 
            public void onClick(View arg0) {
            	Intent myWebLink = new Intent(android.content.Intent.ACTION_VIEW);
                myWebLink.setData(Uri.parse("https://www.findyourfate.com/")); 
                startActivity(myWebLink); 
            }
           });           
        	Button button3 = (Button) findViewById(R.id.button3); 
        		button3.setOnClickListener(new View.OnClickListener() { 
            public void onClick(View arg0) {
                Intent nextScreen = new Intent(getApplicationContext(), MainActivity.class);
             startActivity(nextScreen); 
            }
            });       
        	Button butont2 = (Button) findViewById(R.id.button2);      
			butont2.setOnClickListener(new View.OnClickListener() { 
            public void onClick(View arg0) {
                Intent nextScreen = new Intent(getApplicationContext(), MainActivity.class);
                startActivity(nextScreen); 
            }
            });           
			Button button1 = (Button) findViewById(R.id.button1);
             button1.setOnClickListener(new View.OnClickListener() { 
            public void onClick(View arg0) {          
                Intent nextScreen = new Intent(getApplicationContext(), single.class); 
                startActivity(nextScreen); 
            }
            });       
         	Button button5 = (Button) findViewById(R.id.button5); 
             button5.setOnClickListener(new View.OnClickListener() { 
            public void onClick(View arg0) {          
                Intent nextScreen = new Intent(getApplicationContext(), contentdetails.class);
                startActivity(nextScreen); 
            }
            });
            Button buttonn = (Button) findViewById(R.id.buttonn); 
            buttonn.setOnClickListener(new View.OnClickListener() { 
            public void onClick(View arg0) {          
                Intent nextScreen = new Intent(getApplicationContext(), contentdetails.class);
                startActivity(nextScreen); 
            }
            });
            Button tamil = (Button) findViewById(R.id.tamil); 
            tamil.setOnClickListener(new View.OnClickListener() { 
            public void onClick(View arg0) {          
                Intent nextScreen = new Intent(getApplicationContext(), stamil.class);
                startActivity(nextScreen); 
            }
            });
        	} 
	 
	@Override
	public void onStart() {
	    super.onStart();
	  
	
	}

	@Override
	public void onStop() {
	    super.onStop();
	   
	   
	}
	 @Override
     public void onBackPressed() {
         AlertDialog.Builder builder = new AlertDialog.Builder(this);
         builder.setMessage("Are you sure you want to leave this App.")
                .setCancelable(false)
                .setPositiveButton("Yes", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int id) {
                    	Intent intent = new Intent(Intent.ACTION_MAIN);
	       		    	intent.addCategory(Intent.CATEGORY_HOME);
	       		    	intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
	       		    	startActivity(intent);
                    }
                })
                .setNegativeButton("No", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int id) {
                         dialog.cancel();
                    }
                });
         AlertDialog alert = builder.create();
         alert.setIcon(R.drawable.alert);
         alert.show();
    }  
	 public boolean onCreateOptionsMenu(Menu menu) {
		 MenuInflater menuInflater = getMenuInflater();
         menuInflater.inflate(R.menu.activity_main, menu);
        MenuItem item = menu.findItem(R.id.cfont); 
    	item.setVisible(false);
        return true;
    }	
	  public boolean onOptionsItemSelected(MenuItem item) {
		  int itemId = item.getItemId();
		  if (itemId ==  android.R.id.home) {
			  Intent int_abt = new Intent(this, MainActivity.class);
			  int_abt.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
			  startActivity(int_abt);
			  return true;
		  }
		  else if (itemId == R.id.claculator) {
			  Intent icon_calc = new Intent(this, poruthamcalculator.class);
			  icon_calc.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
			  startActivity(icon_calc);
			  return true;
		  }
		  else if (itemId == R.id.Nakshatra) {
			  Intent icon_find = new Intent(this, findnakshatra.class);
			  icon_find.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
			  startActivity(icon_find);
			  return true;
		  }
		  else if (itemId == R.id.guru) {
			  AlertDialog.Builder alt_compat = new AlertDialog.Builder(this);
			  String desc = "App to find out when Guru Peyarchi or Jupiter transit takes place.";

			  alt_compat.setTitle("Guru Peyarchi");
			  alt_compat.setMessage(desc)
					  .setCancelable(false)

					  .setPositiveButton("Later", new DialogInterface.OnClickListener() {
						  public void onClick(DialogInterface dialog, int id) {

							  dialog.cancel();
						  }
					  })
					  .setNegativeButton("Never/Already", new DialogInterface.OnClickListener() {
						  public void onClick(DialogInterface dialog, int id) {
							  dialog.cancel();
						  }
					  })

					  .setNeutralButton("Open", new DialogInterface.OnClickListener() {
						  public void onClick(DialogInterface dialog, int id) {

							  Intent browserIntent = new Intent(Intent.ACTION_VIEW, Uri.parse("market://details?id=findyourfate.com.gurupeyarchi"));
							  startActivity(browserIntent);
						  }
					  });

			  AlertDialog alert = alt_compat.create();
			  alert.show();
			  return true;
		  }
		  else if (itemId == R.id.icon_exit) {
			  AlertDialog.Builder builder = new AlertDialog.Builder(this);
			  builder.setMessage("Are you sure you want to leave this App.")
					  .setCancelable(false)
					  .setPositiveButton("Yes", new DialogInterface.OnClickListener() {
						  public void onClick(DialogInterface dialog, int id) {
							  Intent intent = new Intent(Intent.ACTION_MAIN);
							  intent.addCategory(Intent.CATEGORY_HOME);
							  intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
							  startActivity(intent);
						  }
					  })
					  .setNegativeButton("No", new DialogInterface.OnClickListener() {
						  public void onClick(DialogInterface dialog, int id) {
							  dialog.cancel();
						  }
					  });
			  AlertDialog alert1 = builder.create();
			  alert1.setTitle("Close App.");
			  alert1.setIcon(R.drawable.alert);
			  alert1.show();
			  return true;
		  }
		  else if (itemId == R.id.share) {
			  Intent emailIntent = new Intent(android.content.Intent.ACTION_SEND);
			  emailIntent.setType("text/plain");
			  emailIntent.putExtra(android.content.Intent.EXTRA_SUBJECT, "10 Porutham by findyourfate.com");
			  emailIntent.putExtra(android.content.Intent.EXTRA_TEXT, "Hi,I would like to suggest, this 10 Porutham App to you. Click this link to download app http://goo.gl/38FZui" + "\n\n" + " Regards");
			  startActivity(Intent.createChooser(emailIntent, "Share using"));
			  return true;  // Added return statement
		  }
		  else {
			  return super.onOptionsItemSelected(item);
		  }
          //return false;
      }
}